Skip to content
This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

feat: upgrade

  • Loading branch information...
christophehurpeau committed Apr 3, 2017
1 parent ea97524 commit 88b0260311952071bc3c2517765b6975dab6f4e3
@@ -0,0 +1,13 @@
[ignore]
<PROJECT_ROOT>/index.js
<PROJECT_ROOT>/lib.*
<PROJECT_ROOT>/node_modules/.*

[include]

[libs]

[options]
all=true
module.use_strict=true
esproposal.export_star_as=enable
@@ -1,10 +1,17 @@
{
"envs": [
"node6",
"webpack-modern-browsers",
"webpack"
"node7",
"module-modern-browsers",
"module",
"module-node7"
],
"react": true,
"testing": false,
"documentation": false
"documentation": false,
"entries": [
"index"
],
"flow": true,
"doclets": false
}
@@ -1,9 +1,9 @@
# react-alp-link [![NPM version][npm-image]][npm-url] [![Dependency Status][daviddm-image]][daviddm-url]
# react-alp-link [![NPM version][npm-image]][npm-url]

react link with limosa router

[![Dependency Status][daviddm-image]][daviddm-url]

[![Dependency ci Status][dependencyci-image]][dependencyci-url]
[![Dependency Status][daviddm-image]][daviddm-url]

## Install

@@ -23,5 +23,7 @@ export function MyComponent() {

[npm-image]: https://img.shields.io/npm/v/react-alp-link.svg?style=flat-square
[npm-url]: https://npmjs.org/package/react-alp-link
[daviddm-image]: https://david-dm.org/alpjs/react-alp-link.svg?theme=shields.io
[daviddm-image]: https://david-dm.org/alpjs/react-alp-link.svg?style=flat-square
[daviddm-url]: https://david-dm.org/alpjs/react-alp-link
[dependencyci-image]: https://dependencyci.com/github/alpjs/react-alp-link/badge?style=flat-square
[dependencyci-url]: https://dependencyci.com/github/alpjs/react-alp-link
@@ -1,5 +1,5 @@
#!/bin/bash

if [[ `git diff HEAD@{1} --stat -- package.json` != "" ]]; then
npm install ; npm prune
yarn
fi
@@ -1,5 +1,5 @@
#!/bin/bash

if [[ `git diff HEAD@{1} --stat -- package.json` != "" ]]; then
npm install ; npm prune
yarn
fi
@@ -1,2 +1,12 @@
var production = process.env.NODE_ENV === 'production';
module.exports = require('./lib-node6' + (production ? '' : '-dev') + '/');
var nodeVersion = process.versions.node.split('.');
var nodeVersionMajor = Number(nodeVersion[0]);
var nodeVersionMinor = Number(nodeVersion[1]);
/* istanbul ignore next */
if (nodeVersionMajor > 7 || (nodeVersionMajor === 7 && nodeVersionMinor >= 6))
return module.exports = require('./lib-node7' + (production ? '' : '-dev') + '/index');
/* istanbul ignore next */
if (nodeVersionMajor > 6 || (nodeVersionMajor === 6 && nodeVersionMinor >= 5))
return module.exports = require('./lib-node6' + (production ? '' : '-dev') + '/index');
/* istanbul ignore next */
throw new Error('Node version not supported: ' + nodeVersion + ' (' + process.versions.node + ').');

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.
Oops, something went wrong.

0 comments on commit 88b0260

Please sign in to comment.
You can’t perform that action at this time.